Ana içeriğe atla

Endpoint

DELETE /apiops/projects/{projectName}/environmentVariables/{name}/

Authentication

Requires a Personal API Access Token.
Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer Yes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name (can be “admin” for admin project)
namestringYesEnvironment variable name

Request Body

None.

Response

Success Response (200 OK)

{
  "status": "SUCCESS",
  "deploymentResult": {
    "success": true,
    "responseTime": 1500,
    "detailList": [
      {
        "envName": "production",
        "success": true,
        "detail": "Undeployed successfully",
        "responseTime": 450
      }
    ],
    "firstFromApiResultList": {
      "envName": "production",
      "success": true,
      "detail": "Undeployed successfully",
      "responseTime": 450
    }
  }
}

Error Response (400 Bad Request)

{
  "error": "bad_request",
  "error_description": "Environment variable (name: API_BASE_URL) was not found!"
}

cURL Example

curl -X DELETE \
  "https://demo.apinizer.com/apiops/projects/MyProject/environmentVariables/API_BASE_URL/" \
  -H "Authorization: Bearer YOUR_TOKEN"

Permissions

  • User must have SECRETS + MANAGE permission in the project

Notes and Warnings

  • Permanent Deletion:
    • Environment variable is permanently deleted
    • This action cannot be undone
  • Automatic Undeployment:
    • Variable is automatically undeployed from all environments
    • Undeployment results are returned in the response